//package subjava.proc.tests.work;

import java.io.*;
import subjava.proc.debug.*;
import subjava.*;

import subjava.struct.SourceFile;

public class AllBadTestChecking implements DebugConstants {

   public static void main( String[] args ) {
      System.setErr( System.out );
      String listFileName = "AllBadTestChecking.list";
      if( args.length == 1 )  listFileName = args[0];
      boolean b = true;
      try {
         FileReader fr= new FileReader( listFileName );
         BufferedReader br= new BufferedReader( fr );
         String s=null;

         while( b  &&  (s=br.readLine())!=null ) {
            String ss=s.trim();
            System.out.println("   " + ss );
            if( !ss.startsWith( "//" ) )  b = verify( s );
         }
         br.close();
      }
      catch (IOException e) {
         System.out.println("Open List File Error (" + listFileName );
      };
      if( b )  System.out.println("Ok ");
   }

   static boolean verify( String fileName ) {
      boolean b = false;

      int i1 = fileName.indexOf( "__" );
      int i2 = fileName.indexOf( '.' );
      if( i1 > 0 && i2 > 0 ) {
         String ss = fileName.substring( i1+2, i2 );
         int nErr = Integer.valueOf( ss ).intValue();
         int debugMode = DM_EMPTY;

         int en = SubJava.process( fileName, debugMode, nErr+10, null, eps );

         if( nErr == en )  b = true;
         else {
            System.out.println("*** file=" + fileName + " (must " + nErr + ")  exist " + en );
         }
      }
      return b;
   }

   static final EmptyPrintStream eps = new EmptyPrintStream();
}